﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.34011
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace UniversityofWashington.ContractInserter {
    using System;
    
    
    /// <summary>
    ///   A strongly-typed resource class, for looking up localized strings, etc.
    /// </summary>
    // This class was auto-generated by the StronglyTypedResourceBuilder
    // class via a tool like ResGen or Visual Studio.
    // To add or remove a member, edit your .ResX file then rerun ResGen
    // with the /str option, or rebuild your VS project.
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "4.0.0.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    public class Resources {
        
        private static global::System.Resources.ResourceManager resourceMan;
        
        private static global::System.Globalization.CultureInfo resourceCulture;
        
        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal Resources() {
        }
        
        /// <summary>
        ///   Returns the cached ResourceManager instance used by this class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        public static global::System.Resources.ResourceManager ResourceManager {
            get {
                if (object.ReferenceEquals(resourceMan, null)) {
                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("UniversityofWashington.ContractInserter.Resources", typeof(Resources).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
        
        /// <summary>
        ///   Overrides the current thread's CurrentUICulture property for all
        ///   resource lookups using this strongly typed resource class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        public static global::System.Globalization.CultureInfo Culture {
            get {
                return resourceCulture;
            }
            set {
                resourceCulture = value;
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to All available contracts have been filtered.
        /// </summary>
        public static string AllContractsFilteredMessage {
            get {
                return ResourceManager.GetString("AllContractsFilteredMessage", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to  and .
        /// </summary>
        public static string AndSeparator {
            get {
                return ResourceManager.GetString("AndSeparator", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Can not create tool window..
        /// </summary>
        public static string CanNotCreateWindow {
            get {
                return ResourceManager.GetString("CanNotCreateWindow", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to , .
        /// </summary>
        public static string CommaSeparator {
            get {
                return ResourceManager.GetString("CommaSeparator", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Contracts for this method are added to.
        /// </summary>
        public static string ContractClassElementMessage {
            get {
                return ResourceManager.GetString("ContractClassElementMessage", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to This is the contract class method for.
        /// </summary>
        public static string ContractClassMethodForMessage {
            get {
                return ResourceManager.GetString("ContractClassMethodForMessage", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to This method implements .
        /// </summary>
        public static string CurrentElementInterfaceMessage {
            get {
                return ResourceManager.GetString("CurrentElementInterfaceMessage", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Viewing contracts for .
        /// </summary>
        public static string CurrentElementMessage {
            get {
                return ResourceManager.GetString("CurrentElementMessage", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to This method overrides .
        /// </summary>
        public static string CurrentElementOverrideMessage {
            get {
                return ResourceManager.GetString("CurrentElementOverrideMessage", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Browsing contracts for .
        /// </summary>
        public static string CurrentProjectMessage {
            get {
                return ResourceManager.GetString("CurrentProjectMessage", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Filter out &lt;b&gt;binary/ternary&lt;/b&gt; invariants with variables .
        /// </summary>
        public static string FilterBinaryAndTernaryMessageStart {
            get {
                return ResourceManager.GetString("FilterBinaryAndTernaryMessageStart", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Filter out &lt;b&gt;{0}&lt;/b&gt; invariants with variables .
        /// </summary>
        public static string FilterBinaryOrTernaryMessageStart {
            get {
                return ResourceManager.GetString("FilterBinaryOrTernaryMessageStart", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to &lt;b&gt;Filter Options:&lt;/b&gt;.
        /// </summary>
        public static string FilterOptionsHeader {
            get {
                return ResourceManager.GetString("FilterOptionsHeader", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Filters : {0}.
        /// </summary>
        public static string FilterTab {
            get {
                return ResourceManager.GetString("FilterTab", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Filter out invariants containing &lt;b&gt;typeof()&lt;/b&gt; or &lt;b&gt;GetType()&lt;/b&gt;.
        /// </summary>
        public static string FilterTypeOfMessage {
            get {
                return ResourceManager.GetString("FilterTypeOfMessage", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Filter out &lt;b&gt;{0}&lt;/b&gt; invariants with variable .
        /// </summary>
        public static string FilterUnaryOrAllMessageStart {
            get {
                return ResourceManager.GetString("FilterUnaryOrAllMessageStart", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Building solution....
        /// </summary>
        public static string GenerateStatusBuilding {
            get {
                return ResourceManager.GetString("GenerateStatusBuilding", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Instrumenting program....
        /// </summary>
        public static string GenerateStatusCeleriac {
            get {
                return ResourceManager.GetString("GenerateStatusCeleriac", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Calculating program invariants....
        /// </summary>
        public static string GenerateStatusDaikonCalculate {
            get {
                return ResourceManager.GetString("GenerateStatusDaikonCalculate", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Formatting invariants....
        /// </summary>
        public static string GenerateStatusDaikonPrint {
            get {
                return ResourceManager.GetString("GenerateStatusDaikonPrint", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Code Contract generation finished..
        /// </summary>
        public static string GenerateStatusFinished {
            get {
                return ResourceManager.GetString("GenerateStatusFinished", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to No contracts have been generated.....
        /// </summary>
        public static string GenerateStatusNothingGenerated {
            get {
                return ResourceManager.GetString("GenerateStatusNothingGenerated", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Parsing source code....
        /// </summary>
        public static string GenerateStatusParsing {
            get {
                return ResourceManager.GetString("GenerateStatusParsing", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Linking invariants to source code....
        /// </summary>
        public static string GenerateStatusParsingContracts {
            get {
                return ResourceManager.GetString("GenerateStatusParsingContracts", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Running purity analysis....
        /// </summary>
        public static string GenerateStatusSeal {
            get {
                return ResourceManager.GetString("GenerateStatusSeal", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Generating Code Contracts. This may take several minutes....
        /// </summary>
        public static string GeneratingContracts {
            get {
                return ResourceManager.GetString("GeneratingContracts", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Antecedent, Semantic.
        /// </summary>
        public static string GroupByAntecedentThenSemantic {
            get {
                return ResourceManager.GetString("GroupByAntecedentThenSemantic", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Antecedent, Variable.
        /// </summary>
        public static string GroupByAntecedentThenVariable {
            get {
                return ResourceManager.GetString("GroupByAntecedentThenVariable", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Group contracts by:.
        /// </summary>
        public static string GroupByMessage {
            get {
                return ResourceManager.GetString("GroupByMessage", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Semantics.
        /// </summary>
        public static string GroupBySemantic {
            get {
                return ResourceManager.GetString("GroupBySemantic", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Variable.
        /// </summary>
        public static string GroupByVariable {
            get {
                return ResourceManager.GetString("GroupByVariable", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Load Contracts.
        /// </summary>
        public static string LoadContracts {
            get {
                return ResourceManager.GetString("LoadContracts", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Contract Files|*.contracts|Trace Files|*.dtrace.
        /// </summary>
        public static string LoadContractsDialogFilter {
            get {
                return ResourceManager.GetString("LoadContractsDialogFilter", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Select Trace Files or Contracts File.
        /// </summary>
        public static string LoadContractsDialogTitle {
            get {
                return ResourceManager.GetString("LoadContractsDialogTitle", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to No contracts available.
        /// </summary>
        public static string NoContractsAvailableMessage {
            get {
                return ResourceManager.GetString("NoContractsAvailableMessage", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to No preconditions or postconditions generated for .
        /// </summary>
        public static string NoContractsForMethodMessage {
            get {
                return ResourceManager.GetString("NoContractsForMethodMessage", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to No object invariants generated for.
        /// </summary>
        public static string NoContractsForObjectMessage {
            get {
                return ResourceManager.GetString("NoContractsForObjectMessage", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to No Code Contracts have been generated.
        ///
        ///To generate contracts, right click on a project in the solution explorer and select &apos;Generate Code Contracts&apos;. Alternatively, you may load contracts from a data trace or contracts file by selecting &apos;Load Code Contracts&apos;..
        /// </summary>
        public static string NoContractsGeneratedMessage {
            get {
                return ResourceManager.GetString("NoContractsGeneratedMessage", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to No class or function selected..
        /// </summary>
        public static string NoCurrentClass {
            get {
                return ResourceManager.GetString("NoCurrentClass", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Select inside a method or class to view available Code Contracts..
        /// </summary>
        public static string NoCurrentElement {
            get {
                return ResourceManager.GetString("NoCurrentElement", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to No method selected..
        /// </summary>
        public static string NoCurrentMethod {
            get {
                return ResourceManager.GetString("NoCurrentMethod", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Object Invariants : {0}.
        /// </summary>
        public static string ObjectInvariantsTab {
            get {
                return ResourceManager.GetString("ObjectInvariantsTab", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Postconditions : {0}.
        /// </summary>
        public static string PostconditionTab {
            get {
                return ResourceManager.GetString("PostconditionTab", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Preconditions : {0}.
        /// </summary>
        public static string PreconditionTab {
            get {
                return ResourceManager.GetString("PreconditionTab", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Remove.
        /// </summary>
        public static string RemoveFilterMessage {
            get {
                return ResourceManager.GetString("RemoveFilterMessage", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Scout.
        /// </summary>
        public static string ToolWindowTitle {
            get {
                return ResourceManager.GetString("ToolWindowTitle", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Note: adding a contract to this method will create a contract class.
        ///This will create a new class in your source code.
        ///.
        /// </summary>
        public static string WarningCreateContractClass {
            get {
                return ResourceManager.GetString("WarningCreateContractClass", resourceCulture);
            }
        }
    }
}
